Bug 1595416 - User that calls refresh automation domain from git branch is not correct user in UI
Summary: User that calls refresh automation domain from git branch is not correct user...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.9.4
Assignee: William Fitzgerald
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On:
Blocks: 1578510
TreeView+ depends on / blocked
 
Reported: 2018-06-26 21:43 UTC by Satoe Imaishi
Modified: 2018-09-04 18:01 UTC (History)
10 users (show)

Fixed In Version: 5.9.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1591809
Environment:
Last Closed: 2018-09-04 18:00:27 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:01:07 UTC

Comment 2 CFME Bot 2018-07-11 15:32:06 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/deaa804f8e6dc67c917269621571acd3887937a2
commit deaa804f8e6dc67c917269621571acd3887937a2
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Jun 20 13:46:37 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Jun 20 13:46:37 2018 -0400

    Merge pull request #4170 from billfitzgerald0120/git_based_domain_import

    Fixed Automate import domain from git repository to use current user.
    (cherry picked from commit 2bda712fefb57659a8ce86413067fb36e4018e92)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1595416

 app/services/git_based_domain_import_service.rb | 4 +
 spec/services/git_based_domain_import_service_spec.rb | 3 +
 2 files changed, 7 insertions(+)

Comment 3 Dmitry Misharov 2018-07-18 14:10:15 UTC
Fixed and verified in 5.9.4.0.20180711215406_53ad123. A correct user that calls refresh automation domain from git branch is shown.

Comment 5 errata-xmlrpc 2018-09-04 18:00:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.